package ru.yandex.webmaster3.storage.metrika.data;

import com.fasterxml.jackson.annotation.JsonCreator;
import ru.yandex.webmaster3.storage.AbstractFilter;
import ru.yandex.webmaster3.storage.util.clickhouse2.condition.BoolOpCondition;

/**
 * @author leonidrom
 */
public class MetrikaCrawlSampleFilter extends AbstractFilter<MetrikaCrawlSampleField> {
    public MetrikaCrawlSampleFilter(MetrikaCrawlSampleField indicator, Operation operation, String value) {
        super(indicator, operation, value);
    }

    @JsonCreator
    public MetrikaCrawlSampleFilter(MetrikaCrawlSampleField indicator, Operation operation, String value, BoolOpCondition.Operator logicalOperator) {
        super(indicator, operation, value, logicalOperator);
    }
}
